#ifdef __cplusplus
extern "C" {
#endif

#ifndef FALSE
#define FALSE  0
#endif
#ifndef TRUE
#define TRUE 1
#endif

#include "defines.h"

int decode_base64(char *in, char *out, int outlen);
int decode_base64_lines(char *in, int inlen, char *out, int outlen);

int decode_uu(char *in, char *out, int outlen);

int encode_quoted(char *in, int inlen, char *out, int outlen);
int decode_quoted(char *in, char *out, int outlen);

int decode_quoted_printable(char *line, char *out, int bfsz);
char *mime_header_inplace(char *bf);

int decode_hexbyte(char *in);

int encode_base64(char *in, char *out, int max_len);
int ydecode(char *in,int insz,char *out, int outsz);

void uuenc(FILE *in,FILE *out);
/*char *decode_iso(char *xtext, char *bf, int bfsz);*/
char *decode_iso(char *xtext);
void decode_set_dmsg(int (*vemsg)(const char * arg_list, ...));

#ifdef __cplusplus
}
#endif

